JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const createdAPIKey = await client.apiKeys.create({ name: 'staging' });
console.log(createdAPIKey);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
created_api_key = client.api_keys.create(
name="staging",
)
print(created_api_key)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
createdAPIKey, err := client.APIKeys.New(context.TODO(), kernel.APIKeyNewParams{
Name: "staging",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", createdAPIKey)
}
curl --request POST \
--url https://api.onkernel.com/org/api_keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "staging",
"days_to_expire": 30,
"project_id": "proj_abc123"
}
'
{
"id": "ckv9w8q2f000001l5r3j7k9m4",
"name": "production",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "user-abc123",
"email": "user@example.com",
"name": "Jane Doe"
},
"expires_at": "2023-11-07T05:31:56Z",
"project_id": "proj_abc123",
"project_name": "Production",
"masked_key": "sk_1234...abcd",
"key": "sk_1234abcd"
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}API Keys
Create an API key
Create a new API key within the authenticated organization.
POST
/
org
/
api_keys
JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const createdAPIKey = await client.apiKeys.create({ name: 'staging' });
console.log(createdAPIKey);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
created_api_key = client.api_keys.create(
name="staging",
)
print(created_api_key)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
createdAPIKey, err := client.APIKeys.New(context.TODO(), kernel.APIKeyNewParams{
Name: "staging",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", createdAPIKey)
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
API key created successfully
API key returned immediately after creation. Includes the plaintext key once.
Unique API key identifier
Example:
"ckv9w8q2f000001l5r3j7k9m4"
API key name
Example:
"production"
When the API key was created
Show child attributes
Show child attributes
When the API key expires
Project identifier for project-scoped API keys. Null means org-wide.
Example:
"proj_abc123"
Project name for project-scoped API keys. Null means the key is org-wide or the project name is unavailable.
Example:
"Production"
Masked version of the API key
Example:
"sk_1234...abcd"
Plaintext API key. Only returned once when the key is created.
Example:
"sk_1234abcd"